Skip to main content
`Ctrl`+`K`

# DMGetBlockingType

get the blocking granularity to be used for variable block size `DMCreateMatrix()` is called

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetBlockingType(DM dm, DMBlockingType *btype)

Not Collective

## Input Parameter

- dm - the `DM`

## Output Parameter

- btype - block by topological point or field node

## See Also

DM Basics, `DM`, `DMCreateMatrix()`, `MatSetVariableBlockSizes()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages